// Copyright 2021 Esri
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//   https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import UIKit

import ArcGIS

class ViewController: UIViewController {

    @IBOutlet weak var mapView: AGSMapView!
    private func setupMap() {

        let map = AGSMap(
            basemapStyle: .arcGISTopographic
        )
        mapView.map = map

        self.mapView.locationDisplay.start {[weak self] error in
            guard let self = self else {return}
            if let error = error {
                print(error.localizedDescription)
                return
            }
            self.mapView.locationDisplay.autoPanMode = .recenter
        }

    }
    override func viewDidLoad() {
        super.viewDidLoad()

        setupMap()

    }

}


